# Function joinNeighborsR

- joinNeighborsR(acc: any, x: any): any

  Reduce fn that joins neighboring strings

  Given an array of strings, returns a new array where all neighboring strings have been joined.

  #### Example:

      let arr = ["foo", "bar", 1, "baz", "", "qux" ];
      arr.reduce(joinNeighborsR, []) // ["foobar", 1, "bazqux" ]

  #### Parameters

  - acc: any
  - x: any

  #### Returns any

  - Defined in src/shared/strings.js:138